Skip to main content
POST
Go (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

memory_store_id
string
required
entry_id
string
required

Body

application/json
content
string
required
if_match
string
Pattern: ^[a-f0-9]{64}$
metadata
object

Response

200 - application/json

OK

id
string
required
object
any
required
memory_store_id
string
required
path
string
required
content
string
required
content_hash
string
required
Pattern: ^[a-f0-9]{64}$
bytes
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
created_at
number
required
updated_at
number
required
metadata
object